> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instant start



## OpenAPI

````yaml /spec.json get /client/showers/{id}/instantstart
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /client/showers/{id}/instantstart:
    get:
      tags:
        - Shower instant start schedules.
      summary: Get instant start
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The shower ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/showerInstantStartResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '404':
          description: No shower found
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    showerInstantStartResponse:
      type: object
      properties:
        actions:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              action:
                type: string
              active:
                type: boolean
              day:
                type: number
              time:
                type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````